Subject: [bug#47111] [PATCH] doc: Document the guidelines for removing inactive committers.

From: Leo Famulari <[email-masked]>
Date: Fri, 12 Mar 2021 19:44:03 -0500

On Sat, Mar 13, 2021 at 12:51:45AM +0100, Nicolas Goaziou wrote:
> Hello,
> 
> Leo Famulari <[email-masked]> writes:
> 
> > +Committers will have their Savannah account removed from the Guix
> > +Savannah project and their key removed from @file{.guix-authorizations}
> > +after 12 months of inactivity; they can ask to regain commit access by
> > +emailing the maintainers.
> 
> What about softening it a bit?
> 
>   For security concerns, committers will have [...] inactivity; they can
>   regain commit access at any time by emailing the maintainers.

To me, security is less of a concern that potential for making mistakes.
If someone is out of the loop and the committer workflow changes, they
won't have noticed and could push commits that don't work for `guix
pull`, or that cause too many rebuilds, or whatever.

How about this:

"In order to reduce the possibility of mistakes, committers will have
..."